MCP Tools Reference: paydeveloper.googleapis.com

工具:list_google_pay_integrations

傳回與特定商家 ID 相關聯的所有 Google Pay 整合服務目前狀態和設定詳細資料。並立即提供整合狀態和文件審查的意見回饋。

以下範例示範如何使用 curl 叫用 list_google_pay_integrations MCP 工具。

Curl 要求
                  
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_google_pay_integrations",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

要求訊息,列出特定商家的 Google Pay 整合服務。

ListGooglePayIntegrationsRequest

JSON 表示法
{
  "merchantId": string
}
欄位
merchantId

string

必填。要列出整合的商家 ID。

輸出內容的結構定義

列出 Google Pay 整合作業的回應訊息。

ListGooglePayIntegrationsResponse

JSON 表示法
{
  "googlePayIntegrations": [
    {
      object (GooglePayIntegration)
    }
  ]
}
欄位
googlePayIntegrations[]

object (GooglePayIntegration)

商家的 Google Pay 整合。

GooglePayIntegration

JSON 表示法
{
  "integrationState": enum (IntegrationState),
  "createTime": string,
  "updateTime": string,
  "integrationType": enum (IntegrationType),
  "integrationDocuments": [
    {
      object (IntegrationDocument)
    }
  ],

  // Union field item can be only one of the following:
  "webDomain": string,
  "androidAppPackage": string
  // End of list of possible types for union field item.
}
欄位
integrationState

enum (IntegrationState)

僅供輸出。商家的 Google Pay 整合狀態。

createTime

string (Timestamp format)

僅供輸出。整合資源的建立時間。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

僅供輸出。整合資源的上次更新時間。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

integrationType

enum (IntegrationType)

(選用步驟) Google Pay 整合的整合類型。

integrationDocuments[]

object (IntegrationDocument)

(選用步驟) 僅限輸入。Google Pay 整合的整合文件。

聯集欄位 item。整合項目。必須設定其中一個。item 只能是下列其中一項:
webDomain

string

商家的網域。

androidAppPackage

string

商家的 Android 應用程式套件名稱。

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應至 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果秒數值為負數,且包含小數,奈秒值仍須為非負數,且會向前計時。必須介於 0 至 999,999,999 之間 (含)。

IntegrationDocument

JSON 表示法
{
  "name": string,
  "data": string,
  "documentType": enum (DocumentType),
  "mimeType": enum (MimeType)
}
欄位
name

string

(選用步驟) 文件的名稱。

data

string (bytes format)

(選用步驟) 文件資料。

Base64 編碼字串。

documentType

enum (DocumentType)

(選用步驟) 文件類型。

mimeType

enum (MimeType)

(選用步驟) 文件的 MIME 類型。

工具註解

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:❌